org.apache.naming.resources

## Class ImmutableNameNotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.naming.NamingException
      - - javax.naming.NameNotFoundException
        - - org.apache.naming.resources.ImmutableNameNotFoundException

All Implemented Interfaces:
  Serializable

    public class ImmutableNameNotFoundException
    extends NameNotFoundException

Immutable exception to avoid useless object creation by the proxy context. This should be used only by the proxy context. Actual contexts should return properly populated exceptions.

Author:
  Remy Maucherat
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class javax.naming.NamingException

`remainingName, resolvedName, resolvedObj, rootException`

### Constructor Summary

Constructors
Constructor and Description
`ImmutableNameNotFoundException()`

### Method Summary

Methods
`void` `appendRemainingComponent(String name)`
`void` `appendRemainingName(Name name)`
`Throwable` `fillInStackTrace()`
`void` `setRemainingName(Name name)`
`void` `setResolvedName(Name name)`
`void` `setRootCause(Throwable e)`

### Methods inherited from class javax.naming.NamingException

`getCause, getExplanation, getRemainingName, getResolvedName, getResolvedObj, getRootCause, initCause, setResolvedObj, toString, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ImmutableNameNotFoundException

    public ImmutableNameNotFoundException()

### Method Detail

#### appendRemainingComponent

    public void appendRemainingComponent(String name)

Overrides:
  `appendRemainingComponent` in class `NamingException`

#### appendRemainingName

    public void appendRemainingName(Name name)

Overrides:
  `appendRemainingName` in class `NamingException`

#### setRemainingName

    public void setRemainingName(Name name)

Overrides:
  `setRemainingName` in class `NamingException`

#### setResolvedName

    public void setResolvedName(Name name)

Overrides:
  `setResolvedName` in class `NamingException`

#### setRootCause

    public void setRootCause(Throwable e)

Overrides:
  `setRootCause` in class `NamingException`

#### fillInStackTrace

    public Throwable fillInStackTrace()

Overrides:
  `fillInStackTrace` in class `Throwable`